    The XSPEC cflow model: cooling flow.

xscflow
The xscflow model is an additive model component.

The model is described at [1] . The results of this model depend on the cosmology settings set with set_xscosmo .

>>> create_model_component("xscflow", "mdl")
>>> print(mdl)

Create a component of the xscflow model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.slope thawed 0 -5 5 mdl.lowT thawed 0.1 0.0808 79.9 keV mdl.highT thawed 4 0.0808 79.9 keV mdl.Abundanc thawed 1 0 5 mdl.redshift frozen 0.1 1e-10 10 mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
slope
The power-law index of the emissivity function.
lowT
The minimum temperature, in keV.
highT
The maximum temperature, in keV.
Abundanc
The abundance relative to Solar, as set by set_xsabund .
redshift
The redshift of the plasma.
norm
The mass accretion rate (solar mass per year).

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelCflow.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023